import * as o from "react";
import a from "./index-_virtual16.js";
import { clsx as c } from "./index-clsx.js";
import r from "./index-sliderClasses.js";
import { jsxs as m, jsx as n } from "react/jsx-runtime";
const p = (s) => {
  const {
    open: e
  } = s;
  return {
    offset: c(e && r.valueLabelOpen),
    circle: r.valueLabelCircle,
    label: r.valueLabelLabel
  };
};
function u(s) {
  const {
    children: e,
    className: i,
    value: t
  } = s, l = p(s);
  return e ? /* @__PURE__ */ o.cloneElement(e, {
    className: c(e.props.className)
  }, /* @__PURE__ */ m(o.Fragment, {
    children: [e.props.children, /* @__PURE__ */ n("span", {
      className: c(l.offset, i),
      "aria-hidden": !0,
      children: /* @__PURE__ */ n("span", {
        className: l.circle,
        children: /* @__PURE__ */ n("span", {
          className: l.label,
          children: t
        })
      })
    })]
  })) : null;
}
process.env.NODE_ENV !== "production" && (u.propTypes = {
  children: a.element.isRequired,
  className: a.string,
  value: a.node
});
export {
  u as default
};
